<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.6.9</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>

	<groupId>cc.smtweb</groupId>
    <artifactId>canal.file</artifactId>
    <version>1.1.5</version>

	<properties>
		<java.version>1.8</java.version>
	</properties>
	<dependencies>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>

		<!--快重启-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-devtools</artifactId>
			<optional>true</optional> <!-- 可选 -->
		</dependency>


		<!--平台-->
		<dependency>
			<groupId>cc.smtweb</groupId>
			<artifactId>sw-framework-core</artifactId>
			<version>3.1.0-SNAPSHOT</version>
		</dependency>

		<!--<dependency>
			<groupId>cc.smtweb</groupId>
			<artifactId>canal.example</artifactId>
			<version>1.1.5</version>
		</dependency>

		<dependency>
			<groupId>cc.smtweb</groupId>
			<artifactId>canal.deployer</artifactId>
			<version>1.1.5</version>
		</dependency>-->


		<dependency>
			<groupId>com.kingbase8</groupId>
			<artifactId>kingbase8</artifactId>
			<version>8.6.0</version>
		</dependency>

		<dependency>
			<groupId>com.dmsql</groupId>
			<artifactId>dmsql</artifactId>
			<version>1.0.0</version>
		</dependency>
	</dependencies>

	<repositories>
		<repository>
			<id>nexus-jjkj</id>
			<name>Nexus jjkj</name>
			<url>http://47.92.149.153:7000/repository/maven-public/</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
	</repositories>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
		</plugins>
	</build>

	<distributionManagement>
		<repository>
			<id>nexus-releases</id>
			<name>Nexus Release Repository</name>
			<url>http://47.92.149.153:7000/repository/maven-releases/</url>
		</repository>
		<snapshotRepository>
			<id>nexus-snapshots</id>
			<name>Nexus Snapshot Repository</name>
			<url>http://47.92.149.153:7000/repository/maven-snapshots/</url>
		</snapshotRepository>
	</distributionManagement>
</project>
